---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp01t001.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x14E0, symBinAddr: 0x1310, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x509D0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2350, symSize: 0x2A0 }
  - { offsetInCU: 0xB1A, offset: 0xB1A, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50D60, symBinAddr: 0x7330, symSize: 0x0 }
  - { offsetInCU: 0xB41, offset: 0xB41, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52CA0, symBinAddr: 0x9270, symSize: 0x0 }
  - { offsetInCU: 0xB63, offset: 0xB63, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53090, symBinAddr: 0x9660, symSize: 0x0 }
  - { offsetInCU: 0xB85, offset: 0xB85, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54030, symBinAddr: 0xA600, symSize: 0x0 }
  - { offsetInCU: 0xB9A, offset: 0xB9A, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54040, symBinAddr: 0xA610, symSize: 0x0 }
  - { offsetInCU: 0xC15, offset: 0xC15, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x509C0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xC20, offset: 0xC20, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x509C4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xC2B, offset: 0xC2B, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x509C8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC70, offset: 0xC70, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50B10, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xCE9, offset: 0xCE9, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50BC8, symBinAddr: 0x7298, symSize: 0x0 }
  - { offsetInCU: 0xD07, offset: 0xD07, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50BCC, symBinAddr: 0x729C, symSize: 0x0 }
  - { offsetInCU: 0xD20, offset: 0xD20, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50BD0, symBinAddr: 0x72A0, symSize: 0x0 }
  - { offsetInCU: 0xD39, offset: 0xD39, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50BD4, symBinAddr: 0x72A4, symSize: 0x0 }
  - { offsetInCU: 0xD52, offset: 0xD52, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50BD8, symBinAddr: 0x72A8, symSize: 0x0 }
  - { offsetInCU: 0x9341, offset: 0x9341, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50BE0, symBinAddr: 0x72B0, symSize: 0x0 }
  - { offsetInCU: 0x93CA, offset: 0x93CA, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50BF0, symBinAddr: 0x72C0, symSize: 0x0 }
  - { offsetInCU: 0x93E3, offset: 0x93E3, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50BF8, symBinAddr: 0x72C8, symSize: 0x0 }
  - { offsetInCU: 0x93FC, offset: 0x93FC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50C00, symBinAddr: 0x72D0, symSize: 0x0 }
  - { offsetInCU: 0x9415, offset: 0x9415, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50C08, symBinAddr: 0x72D8, symSize: 0x0 }
  - { offsetInCU: 0x942E, offset: 0x942E, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50C10, symBinAddr: 0x72E0, symSize: 0x0 }
  - { offsetInCU: 0x9448, offset: 0x9448, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50C18, symBinAddr: 0x72E8, symSize: 0x0 }
  - { offsetInCU: 0x952E, offset: 0x952E, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50C60, symBinAddr: 0x72F0, symSize: 0x0 }
  - { offsetInCU: 0x9547, offset: 0x9547, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50C68, symBinAddr: 0x72F8, symSize: 0x0 }
  - { offsetInCU: 0x9560, offset: 0x9560, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x50CA8, symBinAddr: 0x7308, symSize: 0x0 }
  - { offsetInCU: 0x9579, offset: 0x9579, size: 0x8, addend: 0x0, symName: __ZL11threadsList.0, symObjAddr: 0x50CB0, symBinAddr: 0x7310, symSize: 0x0 }
  - { offsetInCU: 0x9584, offset: 0x9584, size: 0x8, addend: 0x0, symName: __ZL11threadsList.1, symObjAddr: 0x50CC0, symBinAddr: 0x7320, symSize: 0x0 }
  - { offsetInCU: 0x95E4, offset: 0x95E4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xCB0, symSize: 0x80 }
  - { offsetInCU: 0x9679, offset: 0x9679, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xC00, symSize: 0xB0 }
  - { offsetInCU: 0x96D4, offset: 0x96D4, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xB00, symSize: 0x100 }
  - { offsetInCU: 0x9967, offset: 0x9967, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xD30, symSize: 0xC0 }
  - { offsetInCU: 0x99B9, offset: 0x99B9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xDF0, symSize: 0x220 }
  - { offsetInCU: 0x9B9E, offset: 0x9B9E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1010, symSize: 0xA0 }
  - { offsetInCU: 0x9C51, offset: 0x9C51, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x10B0, symSize: 0x110 }
  - { offsetInCU: 0x9D47, offset: 0x9D47, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x11C0, symSize: 0x150 }
  - { offsetInCU: 0x9EA4, offset: 0x9EA4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1630, symSize: 0x30 }
  - { offsetInCU: 0x9F59, offset: 0x9F59, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1660, symSize: 0x150 }
  - { offsetInCU: 0xA151, offset: 0xA151, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x17B0, symSize: 0x160 }
  - { offsetInCU: 0xA411, offset: 0xA411, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1910, symSize: 0x4A0 }
  - { offsetInCU: 0xA684, offset: 0xA684, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1DB0, symSize: 0x1B0 }
  - { offsetInCU: 0xA89F, offset: 0xA89F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1F60, symSize: 0xA0 }
  - { offsetInCU: 0xA96E, offset: 0xA96E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2000, symSize: 0x20 }
  - { offsetInCU: 0xA9A5, offset: 0xA9A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2020, symSize: 0x20 }
  - { offsetInCU: 0xA9DC, offset: 0xA9DC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2040, symSize: 0x20 }
  - { offsetInCU: 0xAB4B, offset: 0xAB4B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2060, symSize: 0x1A0 }
  - { offsetInCU: 0xAE67, offset: 0xAE67, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2200, symSize: 0x150 }
  - { offsetInCU: 0xB024, offset: 0xB024, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x25F0, symSize: 0x1D0 }
  - { offsetInCU: 0xB320, offset: 0xB320, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x27C0, symSize: 0x80 }
  - { offsetInCU: 0xB3E9, offset: 0xB3E9, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2840, symSize: 0x6C0 }
  - { offsetInCU: 0xBF5F, offset: 0xBF5F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6D0, symBinAddr: 0x3FD0, symSize: 0xB0 }
  - { offsetInCU: 0xBFD6, offset: 0xBFD6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2F00, symSize: 0x70 }
  - { offsetInCU: 0xC072, offset: 0xC072, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2F70, symSize: 0xA0 }
  - { offsetInCU: 0xC151, offset: 0xC151, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3010, symSize: 0x40 }
  - { offsetInCU: 0xC247, offset: 0xC247, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3050, symSize: 0x2B0 }
  - { offsetInCU: 0xC5ED, offset: 0xC5ED, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3300, symSize: 0xC0 }
  - { offsetInCU: 0xC733, offset: 0xC733, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x33C0, symSize: 0x10 }
  - { offsetInCU: 0xC7F5, offset: 0xC7F5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x33D0, symSize: 0x240 }
  - { offsetInCU: 0xCADE, offset: 0xCADE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3610, symSize: 0x10 }
  - { offsetInCU: 0xCB3B, offset: 0xCB3B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3620, symSize: 0x170 }
  - { offsetInCU: 0xCCE0, offset: 0xCCE0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x3790, symSize: 0x10 }
  - { offsetInCU: 0xCE91, offset: 0xCE91, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EA0, symBinAddr: 0x37A0, symSize: 0x830 }
  - { offsetInCU: 0xD6CE, offset: 0xD6CE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA780, symBinAddr: 0x4080, symSize: 0x36A }
...
